/*
	*
	* This file is a part of IonShell.
	* IonShell is the Desktop Shell App for Ion DE
	* Copyright 2020 CuboCore Group
	*

	*
	* This program is free software; you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation; either version 3 of the License, or
	* (at your option) any later version.
	*

	*
	* This program is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	* GNU General Public License for more details.
	*

	*
	* You should have received a copy of the GNU General Public License
	* along with this program; if not, write to the Free Software
	* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	* MA 02110-1301, USA.
	*
*/

#pragma once

#include <QObject>
#include <QTimer>

#include "qwayland-wayfire-shell-unstable-v2.h"

class QWindow;
class DesQLayerSurface;
class DesQHotSpot;

class DesQHotSpotPrivate : public QtWayland::zwf_hotspot_v2 {

	public:
		DesQHotSpotPrivate( QScreen *screen, zwf_shell_manager_v2 *wayfireShell, DesQHotSpot *ptr );

		void createHotspot( int pos, uint height, uint duration );
		void destroy();

	protected:
		void zwf_hotspot_v2_enter() override;
		void zwf_hotspot_v2_leave() override;

	private:
		zwf_output_v2 *m_wfOutput;

		Q_DISABLE_COPY( DesQHotSpotPrivate )
		Q_DECLARE_PUBLIC( DesQHotSpot );
		DesQHotSpot *q_ptr;
};
